%define src_ver 0.1.2
%define languagelocal  schwyzerttsch
%define languageeng swiss
%define languageenglazy Swiss German    
%define languagecode de_CH
%define lc_ctype de_CH
%define isonumber iso8859-1

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.1.2
Release:       1mdk
Group:         System/Internationalization
Source:        http://www.suse.de/~bjacke/igerman98/dict/%{name}-%{src_ver}.tar.bz2
URL:           http://www.suse.de/~bjacke/igerman98/
Copyright:     GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-de
Provides:      aspell-dictionary

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -n %{name}-%{src_ver}

%build
cp %{_datadir}/aspell/%{isonumber}.dat .

LC_CTYPE=%{lc_ctype} aspell --lang=%{languagelocal} --data-dir=. \
    create master ./%{languagelocal} < words.%{languagelocal}

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 %{languagelocal} $RPM_BUILD_ROOT%{_libdir}/aspell
install -m 0644 %{languagelocal}.dat $RPM_BUILD_ROOT%{_datadir}/aspell

if ls %{languagelocal}_phonet.dat ; then
 install -m 0644 %{languagelocal}_phonet.dat $RPM_BUILD_ROOT/usr/share/aspell
fi

echo "%{_libdir}/aspell/%{languagelocal}" > $RPM_BUILD_ROOT%{_datadir}/pspell/%{languagecode}-aspell.pwli

if [ "%{languagelocal}" != "%{languageeng}" ];then

 cd $RPM_BUILD_ROOT%{_libdir}/aspell
 ln -s %{languagelocal} %{languageeng}
 
 cd $RPM_BUILD_ROOT%{_datadir}/aspell
 ln -s %{languagelocal}.dat %{languageeng}.dat
 
 if ls %{languagelocal}_phonet.dat ; then
  ln -s %{languagelocal}_phonet.dat %{languageeng}_phonet.dat
 fi

fi

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.package VERSION Documentation/*
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.1.2-1mdk
- First version for Mandrake.
- Used "http://www.suse.de/~bjacke/igerman98/" Version: 20000710.